button {
    border: none;
    padding: 5px 8px;
    font-weight: bold;
    cursor: pointer;
    user-select: none;
    border-radius: 4px;
    background-color: gold;
}

h1 {
    font-size: 2.2em;
    padding-left: 5px;
    text-align: center;
}

.wrapper {
    max-width: 85vw;
}

.wrapper > * {
    margin: 20px;
    min-width: 150px;
}

.intro {
    text-align: center;
}
.intro h3 {
    font-weight: normal;
}

.disclaimer .toggle {
    display: none;
}

.browse {
    display: flex;
    gap: 30px;
    max-width: 1500px;
    align-items: flex-start;
    margin: 50px auto;
    margin-top: 0;
}

aside {
    border: 2px solid #00000010;
    border-radius: 8px;
    background-color: #00000005;
    padding: 20px;
    display: inline-block;
}

aside h2 {
    font-size: 1.8em;
    margin-bottom: 20px;
}

aside label {
    display: block;
    white-space: nowrap;
    box-sizing: border-box;
}

aside label {
    word-break: break-word;
    box-sizing: border-box;
}

.filters.busy {
    opacity: 0.5;
    pointer-events: none;
    user-select: none;
}

.list {
    width: 100%;
}

.offers {
    display: grid;
    list-style: none;
    grid-gap: 30px;
}

.offers-block {
    display: grid;
    /*grid-template-columns: 1fr 1fr 1fr 1fr;*/
    grid-template-columns: repeat(auto-fill, minmax(190px, 1fr));
    grid-template-rows: auto;
    grid-gap: 30px;
    align-items: stretch;
    opacity: 0;
    transition: 0.4s;
}
.offers-block.visible {
    opacity: 1;
}

.offers .info {
    border-radius: 8px;
    border: 1px solid #00000030;
    padding: 15px;
}

.offer {
    border-radius: 8px;
    text-decoration: none;
    color: inherit;
    transition: 0.2s;
    display: inline-flex;
    flex-direction: column;
    align-items: stretch;
    border: 2px solid #00000010;
    font-size: 1.05em;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    cursor: pointer;
}
a.offer:hover {
    transform: scale(1.05);
    opacity: 1;
}

.offer .title {
    font-size: 0.85em;
    word-break: break-word;
}
.offer:hover .title {
    text-decoration: underline;
}

.offer .image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1 / 1;
    max-width: 100%;
    box-sizing: border-box;
    position: relative;
}
.image-container::after {
    display: block;
    content: '';
    width: 100%;
    box-sizing: border-box;
    height: 100%;
    background-color: black;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.03;
    pointer-events: none;
    border-radius: 8px 8px 0 0;
}

.offer .image-container img {
    max-width: 100%;
    max-height: 100%;
    box-sizing: border-box;
    display: block;
    margin: auto;
    border-radius: 8px 8px 0 0;
}

.offer .bottom {
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
    align-items: flex-start;
}

.offer > * {
    padding: 15px;
}
.offer .parts {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
    align-items: flex-start;
}

.offer .bottom .price-label {
    display: flex;
    grid-gap: 5px;
    align-items: center;
    flex-wrap: wrap;
}

.offer .price {
    font-size: 1.1em;
    font-weight: bold;
}

.offer .old-price {
    /*text-decoration-line: line-through;*/
    color: darkred;
    font-size: 0.85em;
    position: relative;
}
.offer .old-price::after {

}

.offer .saving {
    font-weight: bold;
    color: darkgreen;
}

.offer .image-container .discount {
    position: absolute;
    padding: 3px 12px;
    padding-right: 15px;
    border-radius: 20px 0 0 20px;
    background-color: white;
    color: #1c1c1c;
    font-weight: bold;
    bottom: 10px;
    right: 0;
    font-size: 1.4em;
    border: 2px solid #00000010;
    border-right: none;
    transition: 0.1s;
    z-index: 10;
}
.offer .image-container .discount.super-discount {
    color: white;
    background-color: red;
    border-color: transparent;
    border-right: 10px solid transparent;
    border-right-color: #00000020;
    right: -10px;
}
.offer:hover .image-container .discount {
    transform: scale(1.15) translate(-5px, 0);
}

.offer .go-btn {
    box-sizing: border-box;
    font-weight: bold;
    color: #1c1c1c;
    font-size: 1em;
    border-radius: 6px;
    cursor: pointer;
    display: block;
    margin: 10px;
    width: calc(100% - 20px);
    margin-top: 0;
    padding: 6px;
    background-color: #ffce12;
    border: none;
}
.offer .go-btn:hover {
    opacity: 0.8;
}

.offer .deal-badge {
    /*background-color: red;*/
    /*padding: 5px 10px;*/
    /*color: white;*/
    color: red;
    font-weight: bold;
    display: inline;
    font-size: clamp(0.8em, 4vw, 1em);
    border-radius: 8px;
    margin-bottom: 10px;
}

.offer .deal-badge.discount {
    /*background-color: #ffe260;*/
    /*color: inherit;*/
    color: #ff9200;
}

.offer .deal-badge.coupon {
    /*background-color: lightgreen;*/
    /*border: 2px solid #00000030;*/
    /*color: inherit;*/
    color: #00b300;
}

.offer .deal-badge.promotion {
    /*background-color: #3be1ff;*/
    /*color: inherit;*/

    color: #007884;
}

.loading {
    text-align: center;
    vertical-align: middle;
    font-size: 1.2em;
    font-weight: bold;
    opacity: 0;
    transition: 0.4s;
    margin-top: 40px;
}
.loading.visible {
    opacity: 1;
}
.loading img {
    margin-right: 10px;
    vertical-align: middle;
    width: 30px;
    filter: brightness(0) saturate(100%) invert(0%) sepia(90%) saturate(7500%) hue-rotate(347deg) brightness(105%) contrast(111%);
}

@media only screen and (max-width: 600px) {
    .wrapper {
        max-width: none;
    }

    .intro .flexed {
        flex-wrap: wrap;
    }

    .intro .title {
        font-size: clamp(1.3em, 15vw, 1.8em);
    }

    .intro p {
        max-width: 300px;
        margin: auto;
    }

    .disclaimer .toggle {
        display: block;
    }
    .disclaimer .toggle {
        color: blue;
        cursor: pointer;
        user-select: none;
    }

    .disclaimer .text {
        max-height: 60px;
        overflow-y: hidden;
        position: relative;
    }
    .disclaimer .text.opened {
        max-height: initial;
        overflow-y: initial;
    }
    .disclaimer .text.opened .gradient {
        background: none;
    }
    .disclaimer .gradient {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient(transparent 60%, #ffffff 110%);
        width: 100%;
        height: 100%;
        box-sizing: border-box;
    }

    a.offer:hover {
        transform: none;
    }

    .offer .image-container .discount {
        right: 0;
        border-right-width: 0;
    }

    .offer .image-container .discount.super-discount {
        right: -7px;
        border-right-width: 7px;
    }

    .offers {
        margin: 10px;
        font-size: 1em;
        grid-gap: 10px;
    }

    .offers-block {
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
    }

    .offer .saving {
        font-size: clamp(0.8em, 4vw, 1em);
    }

    aside {
        display: none;
    }
}

.report-date {
    font-size: 0.85em;
}

@media only screen and (max-width: 350px) {
    .offers-block {
        grid-template-columns: 1fr;
    }
}